# Resources

## DBF File Format Documentation

### Official Documentation

- [Data File Header Structure for dBASE Version 7](http://www.dbase.com/Knowledgebase/INT/db7_file_fmt.htm)
- [DBF Table File Structure (Microsoft)](http://msdn.microsoft.com/en-us/library/st4a0s68%28VS.80%29.aspx)

### Technical References

- [Xbase File Format Description](http://www.clicketyclick.dk/databases/xbase/format/index.html) - Comprehensive guide by Erik Bachmann
- [DBF Field Types and Specifications](http://devzone.advantagedatabase.com/dz/webhelp/advantage9.0/server1/dbf_field_types_and_specifications.htm)
- [DBase File Structure](http://ulisse.elettra.trieste.it/services/doc/dbase/DBFstruct.htm)

### Additional Information

- [Wikipedia article about dBase](http://en.wikipedia.org/wiki/DBase)
- [dBase IV limitations](http://www.johnbrown.com.au/approach/webfaq04040210.html)

## Related Projects

### Python Packages

- [dataset](https://dataset.readthedocs.io/) - Database abstraction layer
- [pandas](https://pandas.pydata.org/) - Data analysis library

### Alternative DBF Libraries

- [dbfpy](https://github.com/franckalbinet/dbfpy) - Pure Python DBF reader/writer
- [pyDBF](https://github.com/WhyNotHugo/pydbf) - DBF file reading library

## Contributing

We welcome contributions! Check out our [GitHub repository](https://github.com/wasdee/dbfread2) for:

- Issue tracking
- Feature requests
- Pull requests
- Development guidelines
